Page MenuHomeFreeBSD

Enable successful build/runtime of our xorg-server.
ClosedPublic

Authored by sbruno on Sep 10 2014, 4:18 PM.

Details

Reviewers
bapt
kwm
bdrewery
Summary

Compile and run on ARMv6

Test Plan

Build on redports, poudriere, run on Beaglebone Black

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

sbruno updated this revision to Diff 1449.Sep 10 2014, 4:18 PM
sbruno retitled this revision from to Enable successful build/runtime of our xorg-server..
sbruno updated this object.
sbruno edited the test plan for this revision. (Show Details)
sbruno added reviewers: bapt, bdrewery, kwm.
bdrewery requested changes to this revision.Sep 10 2014, 5:28 PM
bdrewery edited edge metadata.
bdrewery added inline comments.
x11-servers/xorg-server/Makefile
7

The version of a port is: PORTVERSION_PORTREVISION,PORTEPOCH. We only ever bump PORTEPOCH if the PORTVERSION_PORTREVISION goes backwards.

Normally you would bump PORTREVISION here. As this is just a compile failure you don't need to bump anything.

This revision now requires changes to proceed.Sep 10 2014, 5:28 PM
sbruno updated this revision to Diff 1451.Sep 10 2014, 5:41 PM
sbruno edited edge metadata.

Reset PORTEPOCH

Move all changes under ARCH==armv6 and move patch files to "extra" so they
only are applied on this arch

bdrewery accepted this revision.Sep 11 2014, 11:20 PM
bdrewery edited edge metadata.

Fine with me. Please talk to kwm@ or zeising@ first though so it does not conflict with their work. They like to be notified on xorg changes.

This revision is now accepted and ready to land.Sep 11 2014, 11:20 PM
kwm accepted this revision.Sep 15 2014, 10:46 PM
kwm edited edge metadata.

Can't say I can test this, but looks fine.

sbruno closed this revision.Sep 15 2014, 11:28 PM

committed at svn r368293.